CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Requirements
 * Installation
 * Configuration
 * How it works
 * Maintainers


INTRODUCTION
------------

This module is an extension of the Views module designed to work with data
stored in a comma-separated values (CSV) file. The file can be uploaded or
hosted on a remote server. The module provides a way to read the data from the
CSV file and display it in any of the formats available through Views. The
module also provides a way to filter and sort the data using the Views module.

 * For a full description of the module, visit the project page:
   https://www.drupal.org/project/views_csv_source

 * To submit bug reports and feature suggestions, or to track changes:
   https://www.drupal.org/project/issues/search/views_csv_source


REQUIREMENTS
------------

No special requirements.


INSTALLATION
------------

 * Install as you would normally install a contributed Drupal module.
   See: https://www.drupal.org/node/895232 for further information.


CONFIGURATION
-------------

No configuration is needed.


HOW IT WORKS
------------

When creating a view choose "CSV" on "Show" field.
On Edit View, in the "Advanced" section, click "Settings" on "Query settings",
choose the source of the CSV data, and you're done.

Now, just add one or more fields and set the key value of the field to show.

Add any filters or sort criteria as required.

Make use of Contextual filters as required.

@todo: Add examples.

MAINTAINERS
-----------

Current maintainers:
 * Daniel Cothran (andileco) - https://www.drupal.org/u/andileco
 * Nia Kathoni (nikathone) - https://www.drupal.org/u/nikathone
